Java.com

Ladda ned Hjälp

Hjälpresurser

Firefox-varningsmeddelande: Tilläggsprogram kan tänkas orsaka problem


Denna artikel gäller för:
  • Plattformar: Windows 8, Windows 7, Vista, Windows XP, Windows 2000, Windows 2003, Windows 2008 Server, Macintosh OS X
  • Webbläsare: Firefox
  • Java-versioner: 6.0, 7.0

SYMTOM

Följande fönster öppnas när webbläsaren Firefox startas med varningen:
Firefox har fastställt att följande tilläggsprogram kan orsaka stabilitets- eller säkerhetsproblem


ORSAK

Äldre versioner av Java Deployment Toolkit (DT) och Java Plug-in avaktiveras av Firefox. Vissa Java-versioner flaggas i Firefox som 'Tilläggsprogram kan tänkas orsaka problem'.

Om ett tillägg betraktas som osäkert och som en möjlig säkerhetsrisk i Firefox blockeras det och kan inte laddas.
Vid en mjuk blockering visar Firefox ett varningsmeddelande, men tillåter att användaren fortsätter om så önskas, dock med äventyrad säkerhet. Vid en hård blockering blockerar Firefox installationen så att användaren inte kan använda tillägget. För att lösa detta bör användaren uppdatera till den senaste versionen av Java.


LÖSNING

Detta problem bör lösas genom en uppgradering till de senaste tillgängliga Java-versionerna för utgåvorna Java 6 och Java 7.
» Uppgradera till den senaste versionen av Java 6
» Uppgradera till den senaste versionen av Java 7

Gör så här om du ser varningsmeddelandet:
  1. Kontrollera att rutan Avaktivera är markerad.
  2. Klicka på Starta om Firefox.
  3. Ladda ned den senaste versionen av Java.

Följande objekt kan vara till hjälp för dig:

Välj språk | Om Java | Supportalternativ | Utvecklare
Sekretess | Användningsvillkor | Varumärken | Friskrivning

Oracle